cURL
curl -X GET "https://api.fitsociety.io/public/v1/calendar-tasks/{taskId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/calendar-tasks/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/calendar-tasks/{taskId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"task": {
"taskId": "<string>",
"title": "<string>",
"notes": "<string>",
"blockingScope": "<string>",
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"isRecurring": true,
"timeZone": "<string>",
"color": "<string>",
"coaches": [
{
"coachId": "<string>",
"name": "<string>"
}
]
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Tasks
Get calendar task
Requires calendar_tasks:read.
GET
/
public
/
v1
/
calendar-tasks
/
{taskId}
cURL
curl -X GET "https://api.fitsociety.io/public/v1/calendar-tasks/{taskId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/calendar-tasks/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/calendar-tasks/{taskId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"task": {
"taskId": "<string>",
"title": "<string>",
"notes": "<string>",
"blockingScope": "<string>",
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"isRecurring": true,
"timeZone": "<string>",
"color": "<string>",
"coaches": [
{
"coachId": "<string>",
"name": "<string>"
}
]
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_....
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"
⌘I